<?php
/*
Plugin Name:  BizReview - All Business Review WordPress Plugin
Plugin URI:   https://themeatelier.net/plugins/wpsocialreview/
Description:  The best way to increase user trust to ingress your business with BizReview WordPress plugin.
Version:      2.6.1
Author:       20script
Author URI:   https://www.20script.ir
License:      GPL2
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  bizreview
Domain Path:  /languages
*/

// Block Direct access
if (!defined('ABSPATH')) {
	die('You should not access this file directly!.');
}

// Define Constants for direct access alert message.

if (!defined('BIZREVIEW_ALERT_MSG'))
	define('BIZREVIEW_ALERT_MSG', __('You should not access this file directly.!', 'bizreview'));


// Define constants for plugin directory path.
if (!defined('BIZREVIEW_DIR_PATH'))
	define('BIZREVIEW_DIR_PATH', plugin_dir_path(__FILE__));

// Define constants for view directory path.
if (!defined('BIZREVIEW_VIEW_DIR_PATH'))
	define('BIZREVIEW_VIEW_DIR_PATH', BIZREVIEW_DIR_PATH . 'view/');

// Define constants for plugin directory path.
if (!defined('BIZREVIEW_EW_DIR_PATH'))
	define('BIZREVIEW_EW_DIR_PATH', BIZREVIEW_VIEW_DIR_PATH . 'elementor-widgets/');

// Define constants for Google Frontend directory path.
if (!defined('BIZREVIEW_GF_DIR_PATH'))
	define('BIZREVIEW_GF_DIR_PATH', BIZREVIEW_VIEW_DIR_PATH . 'google-frontend/');

// Define constants for plugin dirname.
if (!defined('BIZREVIEW_DIR_NAME'))
	define('BIZREVIEW_DIR_NAME', dirname(__FILE__));

// Define constants for plugin directory path.
if (!defined('BIZREVIEW_DIR_URL'))
	define('BIZREVIEW_DIR_URL', plugin_dir_url(__FILE__));

// Define constants for plugin basenam.
if (!defined('BIZREVIEW_BASENAME'))
	define('BIZREVIEW_BASENAME', plugin_basename(__FILE__));


// Plugin settings in plugin list
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'bizreview_pro_settings_link');
function bizreview_pro_settings_link(array $links)
{
	$url = get_admin_url() . "admin.php?page=bizreview-setting-admin";
	$settings_link = '<a href="' . esc_url($url) . '">' . esc_html__('Settings', 'greet') . '</a>';
	$links[] = $settings_link;
	return $links;
}

// Script enqueue class include
require_once BIZREVIEW_DIR_PATH . 'inc/class-enqueue.php';
// Admin file include 
require_once BIZREVIEW_DIR_PATH . 'admin/admin-functions.php';
require_once BIZREVIEW_DIR_PATH . 'admin/admin.php';
require_once BIZREVIEW_DIR_PATH . 'inc/facebook-review/fb-api-config.php';
require_once BIZREVIEW_DIR_PATH . 'inc/google-review/google-api-config.php';
require_once BIZREVIEW_DIR_PATH . 'inc/yelp-review/yelp-api-config.php';
require_once BIZREVIEW_DIR_PATH . 'inc/functions.php';

// Meta field related file include
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/main-meta.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/tatcmf.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/tatcmf-config.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/fields/text-fields.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/fields/media-fields.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/fields/date-fields.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/fields/select-field.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/fields/radio-fields.php';
require_once BIZREVIEW_DIR_PATH . 'inc/meta-fields/fields/textarea-fields.php';


// Template Class
require_once BIZREVIEW_GF_DIR_PATH . 'class-google-review-templates.php';
require_once BIZREVIEW_VIEW_DIR_PATH . 'yelp-frontend/class-yelp-review-templates.php';
require_once BIZREVIEW_VIEW_DIR_PATH . 'custom-frontend/class-custom-review-templates.php';
require_once BIZREVIEW_VIEW_DIR_PATH . 'facebook-frontend/class-facebook-review-templates.php';


// View Shortcode
require_once BIZREVIEW_DIR_PATH . 'view/custom-shortcode.php';
require_once BIZREVIEW_DIR_PATH . 'view/facebook-shortcode.php';
require_once BIZREVIEW_DIR_PATH . 'view/google-shortcode.php';
require_once BIZREVIEW_DIR_PATH . 'view/badges-slider-shortcode.php';
require_once BIZREVIEW_DIR_PATH . 'view/badges-shortcode.php';
require_once BIZREVIEW_DIR_PATH . 'view/yelp-shortcode.php';
require_once BIZREVIEW_DIR_PATH . 'view/widgets/widget-google-review.php';
require_once BIZREVIEW_DIR_PATH . 'view/widgets/widget-custom-reviews.php';
require_once BIZREVIEW_DIR_PATH . 'view/widgets/widget-review-badges.php';
require_once BIZREVIEW_DIR_PATH . 'view/elementor-widgets/elementor-widget.php';

// VC Init
require_once BIZREVIEW_DIR_PATH . 'view/wpbakery/biz-vc-init.php';


// Create page after plugin activate
function biz_plugin_activate()
{
	// Create db visitor statistics table activated when plugin activated
	biz_visitor_statistics_db_table_create();
}
register_activation_hook(__FILE__, 'biz_plugin_activate');
