<?php 
 /**
  * 
  * @package    BizReview - Business and yelp Review WordPress Plugin
  * @version    1.0
  * @author     ThemeAtelier
  * @Websites: https://themeatelier.net/
  *
  */
 

class BizReview_Yelp_API {
	private $APIUrl;
	private $apikey;
	public $busid;
	function __construct( array $args ) {
		$this->apikey = $args['apikey'];
		$this->busid  = $args['busid'];
		$this->api_url();
	}


	public function api_url() {
		$Url = 'https://api.yelp.com/v3/businesses/'.esc_attr( $this->busid ).'/reviews';
		$this->APIUrl = esc_url_raw( $Url );
	}

	public function get_yelp_data() {
		// set auth
		 $headers = [
		   "Authorization: Bearer ".$this->apikey,
		 ];

		 $ch = curl_init( $this->APIUrl );
		 curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
		 curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, true );

		 curl_setopt( $ch, CURLOPT_SSL_VERIFYPEER, false );
		 curl_setopt( $ch, CURLOPT_HTTPHEADER, $headers );

		 $res              = curl_exec( $ch );
		 $httpStatus = curl_getinfo( $ch, CURLINFO_HTTP_CODE );
		 curl_close( $ch );
		$decodedResult = json_decode( $res, true );
		if( !empty( $decodedResult['reviews'] ) ) {
			return $decodedResult['reviews'];
		} else {
			echo __( 'Please check API Key and business ID', 'bizreview' );
		}
	}
}