<?php 
class Custom_Review_Template {


   public static $getData;

   function __construct( array $args ) {

      self::$getData = $args;

   }

   // Template Style 1
   public function biz_custom_review_template_s1() {
      $iterateData = self::$getData;
      $atts = $iterateData;
      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      <?php

      $args = array(
         'post_type' => 'bizreview', 
         'posts_per_page' => $atts['max_rows'],
         'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
         'tax_query' => array(
            'relation' => 'IN',
            array(
            'taxonomy' => 'review_category',
            'field' => 'slug',
            'terms' => $atts['cat']
            )
         )
      );


      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

         $postId = get_the_ID();

         $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
         $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
         $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
         $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
         $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
         $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
         $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
         $content    = get_post_meta( $postId, 'bizreviewcontent', true );
         $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
         $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

         $img = wp_get_attachment_image_src( $pic, 'full' );
         $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );

         ?>
         <div class="biz-col-md-6">
            <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
               <div class="review-platform">
                  <?php
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {
                     $platform = $platformName;
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                  }
                  ?>
               </div>
               
               <div class="biz-row">
                  <?php 
                  if( !empty( $img[0] ) ):
                  ?>
                  <div class="biz-col-md-auto m-15px-b">
                     <div class=" bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2">
                        <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                     </div>
                  </div>
                  <?php 
                  endif;
                  ?>
                  <div class="biz-col-md-auto d-flex align-items-center">
                     <div class="bt-testimonial-grid-title-address">
                        <?php 
                        if( $name ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                        <?php 
                        endif;
                        //
                        if( $date ):
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php
                           echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date) ), ucfirst( esc_html( $platform ) )  ); ?>
                        </p>
                        <?php 
                        endif;
                        ?>
                     </div>
                  </div>
                  <div class="col d-flex align-items-center text-left m-15px-b">
                     <?php 
                     if( ! empty( $rating ) ):
                     ?>
                     <div class="bt-rattings <?php echo esc_attr( $platform ); ?>">
                        <?php
                        bizreview_star_review( esc_html( $rating ) );
                        ?>
                     </div>
                     <?php 
                     endif;
                     ?>

                  </div>
               </div>
               <div class="bt-testimonial-text">
                  <?php 
                  if( $content ):
                  ?>
                  <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                  <?php 
                  endif;
                  ?>
               </div>
            </div>
         </div>
         <?php
            endwhile;
         endif;
         ?>
      </div>
      <?php
      if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }
      ?>
      </div>
      </section>

      <?php
   } 

   // Template style 2
   function biz_custom_review_template_s2 () {

      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
         <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
         <div class="biz-container">
         <div class="biz-row">
         <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
            ?>
            <div class="biz-col-lg-4 biz-col-md-6">
               <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
                  <div class="biz-row">
                     <?php
                     if( !empty( $img[0] ) ):
                     ?>
                     <div class="biz-col-auto">
                        <div class=" bt-avater bt-avater-circle bt-overflow-hidden m-15px-b">
                           <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                        </div>
                     </div>
                     <?php 
                     endif;
                     ?>
                     <div class="biz-col-auto d-flex align-items-center">
                        <div class="bt-testimonial-grid-title-address m-15px-b">
                           <?php
                           if( !empty( $name ) ):
                           ?>
                           <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                           <?php
                           endif;
                           //
                           if( $date ):
                           ?>
                           <p class="bt-testimonial-address bt-no-margin">
                              <?php echo sprintf( __( '%s via %s', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                           </p>
                           <?php
                           endif;
                           //
                           if( ! empty( $rating ) ):
                           ?>
                           <div class="bt-rattings <?php echo esc_attr( $platform ); ?>">
                              <?php
                              bizreview_star_review( $rating );
                              ?>
                           </div>
                           <?php 
                           endif;
                           ?>
                        </div>
                     </div>
                  </div>
                  <div class="bt-testimonial-text">
                     <?php 
                     if( !empty( $content ) ):
                     ?>
                     <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                     <?php
                     endif;
                     ?>
                  </div>
               </div>
            </div>
            <?php
               endwhile;
            endif;
            ?>
         </div>
         <?php 
         if( !empty( $atts['pagination'] ) ) {
            bizreview_custom_review_pagination( $reviews );
         }
         ?>
         </div>
         </section>

      <?php
   }

   // Template style 3
   function biz_custom_review_template_s3() {

      $iterateData = self::$getData;

      $atts = $iterateData;

   ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
         // Data
         
         $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
         $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
         $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
         $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
         $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
         $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
         $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
         $content    = get_post_meta( $postId, 'bizreviewcontent', true );
         $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
         $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

         $img = wp_get_attachment_image_src( $pic, 'full' );
         $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="white-bg bt-shadow-1 p-35px m-40px-t m-15px-t m-15px-b position-relative">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
               <?php
               if( !empty( $img[0] ) ):
               ?>
               <div class="bt-avater bt-avater-circle bt-overflow-hidden top-positioned-avater position-absolute bt-shadow-2">
                  <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
               </div>
               <?php 
               endif;
               ?>
               
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-t m-15px-b">
                     <?php
                        if( !empty( $name ) ):
                     ?>
                     <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                     <?php
                        endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                     </p>
                     <?php 
                     if( ! empty( $rating ) ):
                     ?>
                     <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                        <?php
                        bizreview_star_review( $rating );
                        ?>
                     </div>
                     <?php
                     endif;
                     ?>
                  </div>
               </div>
               <div class="bt-testimonial-text">
                  <?php 
                  if( !empty( $content ) ):
                  ?>
                  <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                  <?php 
                  endif;
                  ?>
               </div>
            </div>
         </div>
         <?php
            endwhile;
         endif;
         ?>
      </div>
      <?php 
               if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }

      ?>
      </div>
      </section>

   <?php
   }

   // Template style 4
   function biz_custom_review_template_s4() {

      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">

         <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="gray-bg-2 bt-shadow-1 p-35px position-relative m-15px-t m-40px-b">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center">
                     <?php 
                     if( !empty( $name ) ):
                     ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                     </p>
                  </div>
               </div>
               <?php 
               if( !empty( $content ) ):
               ?>
               <div class="bt-testimonial-text"><p class="biz-review-more"><?php echo esc_html( $content ); ?></p></div>
               <?php 
               endif;
             //
               if( ! empty( $rating ) ):
               ?>
               <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom m-30px-b text-center">
                  <?php
                  bizreview_star_review( $rating );
                  ?>
               </div>
               <?php 
               endif;
               //
               if( !empty( $img[0] ) ):
               ?>
               <div class="bt-avater bt-avater-circle bt-overflow-hidden bottom-positioned-avater position-absolute bt-shadow-2">
                  <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
            endwhile;
         endif;
         ?>
      </div>
      <?php 
      if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }

      ?>
      </div>
      </section>
      <?php
   }

   // Template style 5
   function biz_custom_review_template_s5() {

      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
               <?php 
                  if( !empty( $img[0] ) ):
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto m-15px-b">
                     <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                  </div>
               </div>
               <?php 
               endif;
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-b">
                     <?php 
                     if( !empty( $name ) ):
                     ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                     </p>
                     <?php
                     if( ! empty( $rating ) ):
                     ?>
                     <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                        <?php
                        bizreview_star_review( $rating );
                        ?>
                     </div>
                     <?php 
                     endif;
                     ?>
                  </div>
               </div>
               <?php 
               if( !empty( $content ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
            endwhile;
         endif;
         ?>
      </div>
      <?php 
      if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }

      ?>
      </div>
      </section>
      <?php
   }

   // Template Style 6
   function biz_custom_review_template_s6() {

      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">

         <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>
          <!-- Start single service  -->
         <div class="biz-col-lg-4 biz-col-md-6">
            <div class="gray-bg-2 bt-shadow-1 position-relative p-35px m-15px-t m-15px-b">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
               <?php 
               if( !empty( $content ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
               </div>
               <?php 
               endif;
               //
               if( !empty( $img[0] ) ):
               ?>
               <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
                  <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
               </div>
               <?php 
               endif;
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                     <?php 
                     if( !empty( $name ) ):
                     ?>
                     <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                     </p>
                     <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                     <?php
                     bizreview_star_review( $rating );
                     ?>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <!-- End single service  -->
         <?php
            endwhile;
         endif;
         ?>
      </div>
      <?php 
      if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }

      ?>
      </div>
      </section>
      <?php
   }

   // Template Style 7
   function biz_custom_review_template_s7() {

      $iterateData = self::$getData;

      $atts = $iterateData;


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>
      <div class="biz-col-lg-4 biz-col-md-6">
         <div class="black-bg white-text bt-shadow-1 position-relative p-35px bt-radius-3 m-15px-t m-15px-b">
            <div class="review-platform">
               <?php 
               if( $platform == 'google' ) {
                  echo '<i class="fab color-google fa-google"></i>';
               } else if( $platform == 'facebook' ) {
                  echo '<i class="fab color-fb fa-facebook"></i>';
               } else if ( $platform == 'yelp' ) {
                  echo '<i class="fab color-yelp fa-yelp"></i>'; 
               } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
               } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
               }
               ?>
            </div>
            <?php 
               if( !empty( $content ) ):
            ?>
            <div class="bt-testimonial-text">
               <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
            </div>
            <?php
            endif; 
            //
            if( !empty( $img[0] ) ):
            ?>
            <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
               <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
            </div>
            <?php 
            endif;
            ?>

            <div class="biz-col-sm-12">
               <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                  <?php 
                     if( !empty( $name ) ):
                  ?>
                  <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                  <?php
                     endif;
                  ?>
                  <p class="bt-testimonial-address bt-no-margin">
                     <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                  </p>
                  <?php 
                  if( ! empty( $rating ) ):
                  ?>
                  <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                     <?php
                     bizreview_star_review( $rating );
                     ?>
                  </div>
                  <?php 
                  endif;
                  ?>
               </div>
            </div>
         </div>
      </div>
      <?php
         endwhile;
      endif;
      ?>
      </div>
      <?php 
      if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }

      ?>
      </div>
      </section>
      <?php
   }

   // Template Style 8
   function biz_custom_review_template_s8() {

      $iterateData = self::$getData;

      $atts = $iterateData;
      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
         <div class="biz-row grid">
      <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1 ),
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

      $reviews = new WP_Query( $args );

      if( $reviews->have_posts() ):
         
         while( $reviews->have_posts() ) :

            $reviews->the_post();

            $postId = get_the_ID();
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>
      <div class="biz-col-lg-4 biz-col-md-6 grid-item">
         <div class="black-bg white-text bt-shadow-1 p-35px bt-radius-3 m-15px-t m-15px-b position-relative">
            <div class="review-platform">
               <?php 
               if( $platform == 'google' ) {
                  echo '<i class="fab color-google fa-google"></i>';
               } else if( $platform == 'facebook' ) {
                  echo '<i class="fab color-fb fa-facebook"></i>';
               } else if ( $platform == 'yelp' ) {
                  echo '<i class="fab color-yelp fa-yelp"></i>'; 
               } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
               } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
               }
               ?>
            </div>
            <?php 
            if( !empty( $content ) ):
            ?>
            <div class="bt-testimonial-text">
               <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
            </div>
            <?php
            endif; 
            //
            if( !empty( $img[0] ) ):
            ?>
            <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
               <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
            </div>
            <?php 
            endif;
            ?>
            <div class="biz-col-sm-12">
               <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                  <?php 
                  if( !empty( $name ) ):
                  ?>
                  <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                  <?php 
                  endif;
                  ?>
                  <p class="bt-testimonial-address bt-no-margin">
                     <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                  </p>
                  <?php
                  if( ! empty( $rating ) ):
                  ?>
                  <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                     <?php
                     bizreview_star_review( $rating );
                     ?>
                  </div>
                  <?php 
                  endif;
                  ?>
               </div>
            </div>
         </div>
      </div>
      <?php
         endwhile;
      endif;

      ?>
      </div>
      <?php
      if( !empty( $atts['pagination'] ) ) {
         bizreview_custom_review_pagination( $reviews );
      }

      ?>
      </div>
      </section>
      <?php
   }

   // Template Style 9
   
   function biz_custom_review_template_s9() {
      
      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
         <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
         <div class="biz-container">
         <div class="biz-row">
            <div class="bt-slide-1 bt-mid-control owl-carousel owl-theme">

               <?php
               $args = array(
                  'post_type' => 'bizreview',
                  'posts_per_page' => $atts['max_rows'],
                  'tax_query' => array(
                     'relation' => 'IN',
                     array(
                     'taxonomy' => 'review_category',
                     'field' => 'slug',
                     'terms' => $atts['cat']
                     )
                  )
               );

               $reviews =  get_posts( $args );

               if( !empty( $reviews ) ):
               
               foreach( $reviews as $val ) :

               $postId = $val->ID;
                  // Data
                  
                  $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
                  $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
                  $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
                  $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
                  $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
                  $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
                  $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
                  $content    = get_post_meta( $postId, 'bizreviewcontent', true );
                  $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
                  $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

                  $img = wp_get_attachment_image_src( $pic, 'full' );
                  $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
               ?>
               
               <div class="biz-col-sm-12">
                  <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
                     <div class="review-platform">
                        <?php 
                        if( $platform == 'google' ) {
                           echo '<i class="fab color-google fa-google"></i>';
                        } else if( $platform == 'facebook' ) {
                           echo '<i class="fab color-fb fa-facebook"></i>';
                        } else if ( $platform == 'yelp' ) {
                           echo '<i class="fab color-yelp fa-yelp"></i>'; 
                        } else if( $platform == 'trustpilot' ) {
                           echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                        } else {

                           $platform = $platformName;
                           
                           if( !empty( $platform_pic[0] ) ) {
                              echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                           }
                           
                        }
                        ?>
                     </div>
                     <div class="biz-row">
                     <?php
                     if( !empty( $img[0] ) ):
                     ?>
                     <div class="biz-col-md-auto m-15px-b">
                        <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2">
                           <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                        </div>
                     </div>
                     <?php
                     endif;
                     ?>

                        <div class="biz-col-md-auto d-flex align-items-center">
                           <div class="bt-testimonial-grid-title-address">
                              <?php 
                              if( !empty( $name ) ):
                              ?>
                                 <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                              <?php 
                              endif;
                              ?>
                              <p class="bt-testimonial-address bt-no-margin">
                                 <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                              </p>
                           </div>
                        </div>
                        <div class="col d-flex align-items-center text-left m-15px-b">
                           <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                              <?php
                              bizreview_star_review( $rating );
                              ?>
                           </div>
                        </div>
                     </div>
                     <?php 
                     if( !empty( $content ) ):
                     ?>
                     <div class="bt-testimonial-text">
                        <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                     </div>
                     <?php 
                     endif;
                     ?>
                  </div>
               </div>
            <?php
               endforeach;
            endif;
            ?>
            </div>
         </div>
         </div>
         </section>

      <?php
   }

   // Template Style 10
   function biz_custom_review_template_s10() {

      $iterateData = self::$getData;

      $atts = $iterateData;


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
         
         <div class="bt-slide-2 bt-mid-control owl-carousel owl-theme">

            <?php
            $args = array(
               'post_type' => 'bizreview',
               'posts_per_page' => $atts['max_rows'],
               'tax_query' => array(
                  'relation' => 'IN',
                  array(
                  'taxonomy' => 'review_category',
                  'field' => 'slug',
                  'terms' => $atts['cat']
                  )
               )
            );

            $reviews =  get_posts( $args );

               if( !empty( $reviews ) ):
               
               foreach( $reviews as $val ) :

               $postId = $val->ID;
               // Data
               
               $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
               $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
               $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
               $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
               $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
               $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
               $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
               $content    = get_post_meta( $postId, 'bizreviewcontent', true );
               $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
               $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

               $img = wp_get_attachment_image_src( $pic, 'full' );
               $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
            ?>
            <div class="biz-col-sm-12">
               <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
                  <div class="review-platform">
                     <?php 
                     if( $platform == 'google' ) {
                        echo '<i class="fab color-google fa-google"></i>';
                     } else if( $platform == 'facebook' ) {
                        echo '<i class="fab color-fb fa-facebook"></i>';
                     } else if ( $platform == 'yelp' ) {
                        echo '<i class="fab color-yelp fa-yelp"></i>'; 
                     } else if( $platform == 'trustpilot' ) {
                        echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                     } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                     ?>
                  </div>
                  <div class="biz-row">
                     <?php 
                     if( !empty( $img[0] ) ):
                     ?>
                     <div class="biz-col-auto">
                        <div class=" bt-avater bt-avater-circle bt-overflow-hidden m-15px-b">
                           <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                        </div>
                     </div>
                     <?php 
                     endif;
                     ?>
                     <div class="biz-col-auto d-flex align-items-center">
                        <div class="bt-testimonial-grid-title-address m-15px-b">
                           <?php
                           if( !empty( $name ) ):
                           ?>
                           <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                           <?php
                           endif;
                           ?>
                           <p class="bt-testimonial-address bt-no-margin">
                              <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                           </p>
                           <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                              <?php
                              bizreview_star_review( $rating );
                              ?>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="bt-testimonial-text">
                     <?php 
                     if( !empty( $content ) ):
                     ?>
                     <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                     <?php 
                     endif;
                     ?>
                  </div>
               </div>
            </div>
            <?php
               endforeach;
            endif;
            ?>

         </div>
      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 11

   function biz_custom_review_template_s11() {

      $iterateData = self::$getData;

      $atts = $iterateData;


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      
      <div class="bt-slide-2 bt-mid-control owl-carousel owl-theme">

         <?php
         $args = array(
            'post_type' => 'bizreview',
            'posts_per_page' => $atts['max_rows'],
            'tax_query' => array(
               'relation' => 'IN',
               array(
               'taxonomy' => 'review_category',
               'field' => 'slug',
               'terms' => $atts['cat']
               )
            )
         );

         $reviews =  get_posts( $args );

         if( !empty( $reviews ) ):
         
         foreach( $reviews as $val ) :

         $postId = $val->ID;
            // Data
            
            $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
            $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
            $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
            $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
            $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
            $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
            $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
            $content    = get_post_meta( $postId, 'bizreviewcontent', true );
            $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
            $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

            $img = wp_get_attachment_image_src( $pic, 'full' );
            $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
         ?>

         <div class="biz-col-md-12">
            <div class="white-bg bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
               <?php 
               if( !empty( $img[0] ) ):
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto m-15px-b">
                     <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                  </div>
               </div>
               <?php 
               endif;
               ?>
               <div class="biz-col-sm-12">
                  <div class="bt-testimonial-grid-title-address text-center m-15px-b">
                     <?php 
                        if( !empty( $name ) ):
                     ?>
                     <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                     <?php 
                     endif;
                     ?>
                     <p class="bt-testimonial-address bt-no-margin">
                        <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  );  ?>
                     </p>
                     <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                        <?php
                        bizreview_star_review( $rating );
                        ?>
                     </div>
                  </div>
               </div>
               <?php 
               if( !empty( $content ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
            endforeach;
         endif;
         ?>

      </div>


      </div>
      </div>
      </section>
      <?php
   }

   // Template Style 12
   function biz_custom_review_template_s12() {

      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
        
         <div class="bt-slide-2 bt-mid-control owl-carousel owl-theme">

            <?php
            $args = array(
               'post_type' => 'bizreview',
               'posts_per_page' => $atts['max_rows'],
               'tax_query' => array(
                  'relation' => 'IN',
                  array(
                  'taxonomy' => 'review_category',
                  'field' => 'slug',
                  'terms' => $atts['cat']
                  )
               )
            );

            $reviews =  get_posts( $args );
            if( !empty( $reviews ) ):
            foreach( $reviews as $val ) :
            $postId = $val->ID;
               // Data
               
               $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
               $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
               $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
               $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
               $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
               $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
               $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
               $content    = get_post_meta( $postId, 'bizreviewcontent', true );
               $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
               $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

               $img = wp_get_attachment_image_src( $pic, 'full' );
               $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
            ?>
            <div class="biz-col-md-12">
               <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
                  <div class="review-platform">
                     <?php 
                     if( $platform == 'google' ) {
                        echo '<i class="fab color-google fa-google"></i>';
                     } else if( $platform == 'facebook' ) {
                        echo '<i class="fab color-fb fa-facebook"></i>';
                     } else if ( $platform == 'yelp' ) {
                        echo '<i class="fab color-yelp fa-yelp"></i>'; 
                     } else if( $platform == 'trustpilot' ) {
                        echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                     } else {

                        $platform = $platformName;
                        
                        if( !empty( $platform_pic[0] ) ) {
                           echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                        }
                     
                     }
                     ?>
                  </div>
                  <?php 
                  if( !empty( $content ) ):
                  ?>
                  <div class="bt-testimonial-text">
                     <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                  </div>
                  <?php 
                  endif;
                  //
                  if( !empty( $img[0] ) ):
                  ?>
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
                     <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                  </div>
                  <?php
                  endif;
                  ?>

                  <div class="biz-col-sm-12">
                     <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                        <?php
                        if( !empty( $name ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                        <?php
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                        </p>
                        <?php
                        if( ! empty( $rating ) ):
                        ?>
                        <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                           <?php
                           bizreview_star_review( $rating );
                           ?>
                        </div>
                        <?php
                        endif;
                        ?>
                     </div>
                  </div>

               </div>
            </div>
            <?php
               endforeach;
            endif;
            ?>  
         </div>
      </div>
      </div>
      </section>

      <?php
   }

   // Template Style 13
   function biz_custom_review_template_s13() {

      $iterateData = self::$getData;

      $atts = $iterateData;


      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
            
            <div class="bt-slide-2 bt-mid-control bt-mid-control-white owl-carousel owl-theme">
               
            <?php
            $args = array(
               'post_type' => 'bizreview',
               'posts_per_page' => $atts['max_rows'],
               'tax_query' => array(
                  'relation' => 'IN',
                  array(
                  'taxonomy' => 'review_category',
                  'field' => 'slug',
                  'terms' => $atts['cat']
                  )
               )
            );

            $reviews =  get_posts( $args );

            if( !empty( $reviews ) ):
         
            foreach( $reviews as $val ) :

            $postId = $val->ID;
               // Data
               
               $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
               $url     = get_post_meta( $postId, 'bizreviewreviewe_url', true );
               $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
               $pic     = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
               $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
               $rating  = get_post_meta( $postId, 'bizreviewreview_rating', true );
               $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
               $content    = get_post_meta( $postId, 'bizreviewcontent', true );
               $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
               $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

               $img = wp_get_attachment_image_src( $pic, 'full' );
               $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );
            ?>
            <div class="biz-col-md-12">
               <div class="black-bg white-text bt-shadow-1 p-35px bt-radius-3 m-15px-t m-15px-b position-relative">
                  <div class="review-platform">
                     <?php 
                     if( $platform == 'google' ) {
                        echo '<i class="fab color-google fa-google"></i>';
                     } else if( $platform == 'facebook' ) {
                        echo '<i class="fab color-fb fa-facebook"></i>';
                     } else if ( $platform == 'yelp' ) {
                        echo '<i class="fab color-yelp fa-yelp"></i>'; 
                     }  else if( $platform == 'trustpilot' ) {
                        echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                     } else {

                        $platform = $platformName;
                        
                        if( !empty( $platform_pic[0] ) ) {
                           echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                        }
                     
                     }
                     ?>
                  </div>
                  <?php
                  if( !empty( $content ) ):
                  ?>
                  <div class="bt-testimonial-text">
                     <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
                  </div>
                  <?php
                  endif; 
                  //
                  if( !empty( $img[0] ) ):
                  ?>
                  <div class="bt-avater bt-avater-circle bt-overflow-hidden bt-shadow-2 m-auto">
                     <img src="<?php echo esc_url( $img[0] ); ?>" alt="<?php echo esc_attr( $name ); ?>" />
                  </div>
                  <?php
                  endif;
                  ?>
                  <div class="biz-col-sm-12">
                     <div class="bt-testimonial-grid-title-address text-center m-15px-t">
                        <?php
                        if( !empty( $name ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                        <?php
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php  echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                        </p>
                        <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                           <?php
                           bizreview_star_review( $rating );
                           ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <?php
               endforeach;
            endif;
            ?>

            </div>
         </div>
         </div>
         </section>
      <?php
   }

   // Template Style 14
   function biz_custom_review_template_s14() {

      $iterateData = self::$getData;

      $atts = $iterateData;

      ?>
      <section class="review-section" style="padding-top: <?php echo esc_attr( $atts['padding_top'] ); ?>px; padding-bottom: <?php echo esc_attr( $atts['padding_bottom'] ); ?>px;background-color: <?php echo esc_attr( $atts['bg_color'] ); ?>">
      <div class="biz-container">
      <div class="biz-row">
      
      <div class="owl-carousel btImageDots">

      <?php

      $args = array(
         'post_type' => 'bizreview',
         'posts_per_page' => $atts['max_rows'],
         'tax_query' => array(
            'relation' => 'IN',
            array(
            'taxonomy' => 'review_category',
            'field' => 'slug',
            'terms' => $atts['cat']
            )
         )
      );

      $reviews =  get_posts( $args );

      if( !empty( $reviews ) ):
         
      $profileImg = '';

      $k = 0;

      foreach( $reviews as $val ) :

         $postId = $val->ID;
         // Data
         
         $name       = get_post_meta( $postId, 'bizreviewreviewer_name', true );
         $url        = get_post_meta( $postId, 'bizreviewreviewe_url', true );
         $type       = get_post_meta( $postId, 'bizreviewreviewe_type', true );
         $pic        = get_post_meta( $postId, 'bizreviewreviewer_pic', true );
         $date       = get_post_meta( $postId, 'bizreviewreviewer_date', true );
         $rating     = get_post_meta( $postId, 'bizreviewreview_rating', true );
         $platform   = get_post_meta( $postId, 'bizreviewreview_platform', true );
         $content    = get_post_meta( $postId, 'bizreviewcontent', true );
         $platformName = get_post_meta( $postId, 'bizreviewplatform_name', true );
         $platform_pic = get_post_meta( $postId, 'bizreviewplatform_pic', true );

         $img = wp_get_attachment_image_src( $pic, 'full' );
         $platform_pic = wp_get_attachment_image_src( $platform_pic, 'full' );


            if( !empty( $img[0] ) ) {

               $active = ( $k == 0  )  ? ' active' :''; 

               $profileImg .= '<li class="bt-avater bt-avater-thumb'.esc_attr( $active ).'" data="'.esc_attr( $k ).'">
               <img src="'.esc_url( $img[0] ).'" alt="'.esc_attr( $name ).'">
            </li>';
            }


      ?>

         <div class="biz-col-sm-12">
            <div class="gray-bg-2 bt-shadow-1 p-35px m-15px-t m-15px-b position-relative">
               <div class="review-platform">
                  <?php 
                  if( $platform == 'google' ) {
                     echo '<i class="fab color-google fa-google"></i>';
                  } else if( $platform == 'facebook' ) {
                     echo '<i class="fab color-fb fa-facebook"></i>';
                  } else if ( $platform == 'yelp' ) {
                     echo '<i class="fab color-yelp fa-yelp"></i>'; 
                  } else if( $platform == 'trustpilot' ) {
                     echo '<img src="'.BIZREVIEW_DIR_URL.'assets/trustpilot-vector-logo.png" />';
                  } else {

                     $platform = $platformName;
                     
                     if( !empty( $platform_pic[0] ) ) {
                        echo '<img src="'.esc_url( $platform_pic[0] ).'" />';
                     }
                     
                  }
                  ?>
               </div>
               <div class="biz-row">
                  <div class="biz-col-md-auto d-flex align-items-center">
                     <div class="bt-testimonial-grid-title-address">
                        <?php 
                        if( !empty( $name ) ):
                        ?>
                        <h4 class="bt-testimonial-grid-title bt-no-margin"><?php echo esc_html( $name ); ?></h4>
                        <?php 
                        endif;
                        ?>
                        <p class="bt-testimonial-address bt-no-margin">
                           <?php  echo sprintf( __( '%s via %s ', 'bizreview' ), esc_html( biz_date_format( $date ) ), ucfirst( esc_html( $platform ) )  ); ?>
                        </p>
                     </div>
                  </div>
                  <?php 
                  if( ! empty( $rating ) ):
                  ?>
                  <div class="col d-flex align-items-center text-left m-15px-b">
                     <div class="bt-rattings <?php echo esc_attr( $platform ); ?> color-custom">
                     <?php
                     bizreview_star_review( $rating );
                     ?>
                     </div>
                  </div>
                  <?php 
                  endif;
                  ?>

               </div>
               <?php 
               if( !empty( $content ) ):
               ?>
               <div class="bt-testimonial-text">
                  <p class="biz-review-more"><?php echo esc_html( $content ); ?></p>
               </div>
               <?php 
               endif;
               ?>
            </div>
         </div>
         <?php
         $k++;
            endforeach;
         endif;
         ?>

      </div>

      <div class="biz-col-sm-12 image-dots-wrap arrow-up">
         <ul class="image-dots">
            <?php echo $profileImg; ?>
         </ul>
      </div>
      
   </div>
   </div>
   </section>
      <?php
   }



} // End Class