<?php 
add_action( 'vc_before_init', 'biz_yelp_reviews' );
function biz_yelp_reviews() {

	// vc_map check
	if( function_exists( 'vc_map' ) ){
		vc_map( array(
		  "name" => __( "Yelp Reviews", "bizreview" ),
		  "base" => "vc_yelp_reviews",
		  "class" => "",
		  "icon" => BIZREVIEW_DIR_URL."assets/biz-review-icon.png",
		  "category" => __( "Bizreview", "bizreview"),
		  "params" => array(
			array(
				"type" => "floatnumber",
				"heading" => __( "Max Reviews", "bizreview" ),
				"param_name" => "max_rows",
				"value" => '5', //Default value
				"description" => __( "Set how many reviews you want to show.", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "dropdown",
				"heading" => __( "Min Rating", "bizreview" ),
				"param_name" => "min_rating",
				"value" => '1', //Default value
				'group' => __( 'Review Settings', 'bizreview' ),
				'value' => array(
                    esc_html__( '1', 'bizreview' ) => '1',
                    esc_html__( '2', 'bizreview' ) => '2',
                    esc_html__( '3', 'bizreview' ) => '3',
                    esc_html__( '4', 'bizreview' ) => '4',
                    esc_html__( '5', 'bizreview' ) => '5',
                )
			),
			array(
				"type" => "dropdown",
				"heading" => __( "Style", "bizreview" ),
				"param_name" => "style",
				"value" => '1', //Default value
				"description" => __( "Select review style", "bizreview" ),
				"group" => __( "Review Settings", 'bizreview' ),
				"value" => array(
                    esc_html__( 'Style 1 (Grid)', 'bizreview' )  => '1',
                    esc_html__( 'Style 2 (Grid)', 'bizreview' )  => '2',
                    esc_html__( 'Style 3 (Grid)', 'bizreview' )  => '3',
                    esc_html__( 'Style 4 (Grid)', 'bizreview' )  => '4',
                    esc_html__( 'Style 5 (Grid)', 'bizreview' )  => '5',
                    esc_html__( 'Style 6 (Grid)', 'bizreview' )  => '6',
                    esc_html__( 'Style 7 (Grid)', 'bizreview' )  => '7',
                    esc_html__( 'Style 8 (Masonary)', 'bizreview' )  => '8',
                    esc_html__( 'Style 9 (Slider)', 'bizreview' )  => '9',
                    esc_html__( 'Style 10 (Slider)', 'bizreview' ) => '10',
                    esc_html__( 'Style 11 (Slider)', 'bizreview' ) => '11',
                    esc_html__( 'Style 12 (Slider)', 'bizreview' ) => '12',
                    esc_html__( 'Style 13 (Slider)', 'bizreview' ) => '13',
                    esc_html__( 'Style 14 (Slider)', 'bizreview' ) => '14',
                )
			),
			array(
				"type" => "floatnumber",
				"heading" => __( "Section Padding Top", "bizreview" ),
				"param_name" => "padding_top",
				"value" => '50', //Default Red color
				"description" => __( "Set section top padding", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "floatnumber",
				"heading" => __( "Section Padding Bottom", "bizreview" ),
				"param_name" => "padding_bottom",
				"value" => '50', //Default Red color
				"description" => __( "Set section bottom padding", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),
			array(
				"type" => "colorpicker",
				"heading" => __( "Background Color", "bizreview" ),
				"param_name" => "bg_color",
				"value" => '#fff', //Default Red color
				"description" => __( "Set section background color", "bizreview" ),
				'group' => __( 'Review Settings', 'bizreview' ),
			),

		  )
		) );
	} // end vc_map Check


}